<?php include_once("../lib/control.seguridad.php"); ?>
<?php

	$boton = "<button type='button' class='btn btn-info btn-sm' id='btnEnviar' name='btnEnviar'>INGRESAR</button>";

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  <style>
  #example{
	  font-size:10px;
  }
  #example3{
	  font-size:10px;
  }    
   .dataTables_wrapper { font-size: 10px }	   
  </style>  
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-8">
            <h4>Ingreso de Marcaci&oacute;n Manual</h4>
			<input type="hidden" class="form-control control-text" id="txtId_autoriza" value="<?php echo $_SESSION['LOGIN']['CODIGO'] ?>">
          </div>		  
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
				  <div class="form-group">
					<label>Trabajador:</label>
					<div class="row">
						<div class="col-md-9 input-group-sm">
							<input type="text" class="form-control control-text" id="txtNombre" readonly>
							<input type="hidden" class="form-control" id="txtNombre_persona" readonly>
							<input type="hidden" class="form-control" id="txtApellido" readonly>	
							<input type="hidden" class="form-control" id="txtDescripcion_sucursal" readonly>
							<input type="hidden" class="form-control" id="txtDescripcion_departamento" readonly>	
							
							<input type="hidden" class="form-control control-text" id="txtId_persona" readonly>		
							<input type="hidden" class="form-control control-text" id="txtRut" readonly>									
						</div>
						<div class="col-md-3">
							<button type="button" class="btn btn-info btn-block btn-sm" id="btnBuscar">Buscar</button>						
						</div>
					</div>
					<small class="form-text text-muted">Trabajador que le asignar&aacute; el Marcaje Manual.</small>
				  </div>	
				  <div class="form-group input-group-sm d-none div-sucursal">
					<label>&Aacute;rea :</label>
					<select class="form-control" id="txtSucursal" disabled>
					</select>
				  </div>	
				  <div class="form-group input-group-sm d-none div-departamento">
					<label>Centro :</label>
					<select class="form-control" id="txtDepartamento_persona" disabled>
					</select>
				  </div>					  
				  <div class="form-group input-group-sm">
					<label>Fecha :</label>
					<input type="text" class="form-control" id="txtFecha" value="<?php echo date('d-m-Y', mktime(0,0,0, date('m'), 1, date('Y'))) ?>" readonly>
					<small class="form-text text-muted">Fecha de Marcaje.</small>
				  </div>				
				  <div class="form-group input-group-sm">
					<label>Hora:</label>
					<input type="time" class="form-control" id="txtHora" value="<?php date_default_timezone_set('America/Santiago'); echo date("H:i"); ?>" >
					<small class="form-text text-muted">Hora de Marcaje.</small>
				  </div>
				  <div class="form-group input-group-sm">
					<label>Tipo de Marcaje :</label>
					<select class="form-control" id="txtTipo_marcaje">
						<option value="0">Entrada</option>
						<option value="1">Salida</option>						
					</select>
				  </div>	
				  <div class="form-group input-group-sm">
					<label>Motivo :</label>
					<select class="form-control" id="txtMensaje">
						<option value="0">Seleccione</option>
					</select>
				  </div>					  
				  <div class="form-group">
					<label>Observaci&oacute;n:</label>
					<textarea class="form-control control-text" id="txtObservacion" rows="5"></textarea>
					<small class="form-text text-muted">Observaciones de Marcaje.</small>
					<span class="badge badge-danger">Es de Caracter Obligatorio el ingreso de observaci&oacute;n para justificar registro</span>
				  </div>					  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<?php echo $boton ?>				
					<button type="button" class="btn btn-default float-right" id="btnLimpiar">Limpiar</button>
				</div>
            </div>
          </div>
		  
          <div class="col-md-6 d-none" id="div-trabajador">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-body">
        			 <div class="row">
        			    <div class="col-md-12">
        				  <div class="input-group mb-2 input-group-sm">
        					<div class="input-group-prepend">
        					  <div class="input-group-text">&Aacute;rea/Centro</div>
        					</div>
        					<select class="form-control" id="txtDepartamento"> </select>
        				  </div>							
        				</div>			
        			 </div>		  
        			 <div class="row">
        				<div class="col-md-12">
        				  <table id="example3" class="table table-bordered table-striped">
        					<thead>
        					<tr>	
        					  <th>RUT</th>					
        					  <th>NOMBRE</th>
        					  <th>TURNO</th>	
        					  <th>CARGO</th>						  
        					  <th></th>				  
        					</tr>
        					</thead>			
        				  </table>					
        				</div>
        			 </div>
				</div>
				<!-- /.card-body -->
				<div class="card-footer">

				</div>
            </div>
          </div>  		  

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>
	
	<div class="modal" tabindex="-1" role="dialog"  id="modal-default">
	  <div class="modal-dialog modal-xl" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">Visor de Documentos</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body modal-body-documento">
			<iframe name="iframe3" width="100%" height="100%"></iframe>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
		  </div>
		</div>
	  </div>
	</div>		
	
	<div class="div-response"></div>	
</div>
<!-- ./wrapper -->


<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>
 

<script src="../plugins/toastr/toastr.js"></script>

<link rel="stylesheet" href="../plugins/jQueryUI/jquery-ui.css" />
<script src="../plugins/jQueryUI/jquery-ui.js"></script>


<script>

  $(function () {
	
    $(".modal-body-documento").height(parseInt(screen.height) -400);	
	
    $(document).bind("contextmenu",function(e){
      return false;
    });	  

	 listadoCombo();
	 function listadoCombo(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/sucursal",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtSucursal').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
			}
		});	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/departamento",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtDepartamento_persona').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
			}
		});	

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/mensaje",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtMensaje').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
			}
		});			
	 }
	 
 	  
	 $.datepicker.regional['es'] = {
	 closeText: 'Cerrar',
	 prevText: '< Ant',
	 nextText: 'Sig >',
	 currentText: 'Hoy',
	 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
	 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
	 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
	 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
	 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
	 weekHeader: 'Sm',
	 dateFormat: 'dd/mm/yy',
	 firstDay: 1,
	 isRTL: false,
	 showMonthAfterYear: false,
	 yearSuffix: ''
	 };
	 $.datepicker.setDefaults($.datepicker.regional['es']);
	 $("#txtFecha").datepicker({
		dateFormat: "dd-mm-yy",
		changeMonth: true,
		changeYear: true,
		yearRange: "1900:2100"
	 });	 
	
    $('#example3').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": false,
      "info": false,
      "autoWidth": false,
	  "pageLength": 7,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      }	 		  
    });	 	   
	  
	$("#btnEnviar").click(function(){
        if(parseInt($("#txtId_persona").val()) == 0){
			toastr.warning("Debe Seleccionar Persona", "POWERTIME");
			return false;
		}
        else if(parseInt($("#txtMensaje").val()) == 0){
			toastr.warning("Debe Seleccionar Tipo de Mensaje", "POWERTIME");
			return false;
		}		
		else if( $("#txtObservacion").val() == null || $("#txtObservacion").val().length == 0 || /^\s+$/.test($("#txtObservacion").val()) ){
			toastr.warning("Debe ingresar Observaci&oacute;n Marca Manual ", "POWERTIME");
            return false;
		}			
        else{
 
			$.ajax({
				type:'POST',
				contentType: 'application/json',
				dataType: "json",
				crossDomain: true,
				headers: {
					'Content-Type': 'application/json'
				},
				url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/ingresarmarcajemanual",
				data : JSON.stringify({
					fecha:convertDateFormat($("#txtFecha").val()),	
					observacion:$("#txtObservacion").val(),	
					hora:$("#txtHora").val(),	
					rut:$("#txtRut").val(),	
					nombre:$("#txtNombre_persona").val(),	
					apellido:$("#txtApellido").val(),	
					id_departamento:$("#txtDepartamento_persona").val(),	
					departamento:$("#txtDescripcion_departamento").val(),	
					id_sucursal:$("#txtSucursal").val(),	
					sucursal:$("#txtDescripcion_sucursal").val(),	
					id_tipo_marcaje:$("#txtTipo_marcaje").val(),	
					id_mensaje:$("#txtMensaje").val(),	
					id_autoriza:$("#txtId_autoriza").val()		
				}),
				success: function(res) {				
					/*if(parseInt(xhr.status) == 201){
						enviarCorreo();
						toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
						limpiarFormulario();
					}*/
					if(parseInt(res[0]) == 1){
					    //enviarCorreo();
    					toastr.success("Marcaje Procesado Exitosamente", "POWERTIME");
    					limpiarFormulario();
    				} else {
    					toastr.warning("Error procesando marcaje", "POWERTIME");
                    }
				}					
			})			
		}

		
	});
	
	
	function enviarCorreo(){
		$.ajax({
			type:'POST',
			dataType: "json",
			url: "enviarcorreo.php",
			data : {
				txtNombre: $('#txtNombre').val(),																	
			},					
			success: function(dados){
					toastr.success(dados[0].descripcion, "POWERTIME");							
			},
    error: function (request, status, error) {
        alert(request.responseText);
    }			
		})			
	}	
	
	
	$("#btnmprimir").click(function(){
		$("#modal-hora-extra").modal("toggle");
		$('.div-response').html('<form action="informe.pdf.inc.php"  target="iframe3" name="form" method="POST" style="display:none;"> '+
		'<input type="text" class="form-control" id="txtId_persona" name="txtId_persona" value="'+$("#txtId_persona").val()+'" >'+
		'<input type="text" class="form-control" id="txtFecha_inicio_permiso" name="txtFecha_inicio_permiso" value="'+$("#txtFecha_inicio_permiso").val()+'" >'+
		'<input type="text" class="form-control" id="txtFecha_termino_permiso" name="txtFecha_termino_permiso" value="'+$("#txtFecha_termino_permiso").val()+'" >'+		
		'</form>');			
		document.forms['form'].submit();
		$('#modal-default').modal('show');			
	});		

 	$("#btnLimpiar").click(function(){
		limpiarFormulario();
	});
	
	function limpiarFormulario(){
		$("#txtFecha").val(fechaActual());
		$("#txtCantidad").val("02:00");		
		$("#txtId_persona").val(0);	
		$("#txtMensaje").val(0);			
		$("#txtNombre").val("");
		$("#txtObservacion").val("");
        $("#btn-ver-hora-extra").addClass("d-none");	
		$("#div-trabajador").addClass("d-none");	
		$(".div-sucursal").addClass("d-none");	
		$(".div-departamento").addClass("d-none");				
	}
	
	function fechaActual(){
		var fecha = new Date();
		var dia = fecha.getDate();
		var mes = fecha.getMonth();
		var anio = fecha.getFullYear();		
		if(dia < 10) { dia = "0"+dia; } 
		if(mes < 10) { mes = "0"+mes; }
        return anio+"-"+mes+"-"+dia;  		
	}	
	
	$("#btnBuscar").click(function(){
		$("#txtNombre").val(""); 
		$("#txtId_persona").val(0);
		$("#div-permisos").addClass("d-none");
		$("#div-trabajador").removeClass("d-none");		
	});	
	
	listarRegistroDep();
	function listarRegistroDep(){

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/departamentopersona",
			data : JSON.stringify({
				id_persona:$("#txtId_autoriza").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						

						$('#txtDepartamento').append($('<option>', {
							value: dados[i][j].id_departamento,
							text : dados[i][j].sucursal + " (" +dados[i][j].departamento +" )"
						}));
					}
				}
				listarRegistro();
			}
		});

	}
	
	$("#txtDepartamento").change(function () {
		listarRegistro();
    });	
	function listarRegistro(){

		$('#example3').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerpersonadepartamento",
			data : JSON.stringify({
				id_departamento: $('#txtDepartamento').val(),								
			}),		
			success: function(dados)
			{
				$('#example3').dataTable().fnClearTable();
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-editar'>Asignar</button>";
					  $('#example3').dataTable().fnAddData( [
						dados[i][j].rut,						  
						dados[i][j].nombre+" "+dados[i][j].apellido,	
						dados[i][j].turno,		
						dados[i][j].cargo,								
						boton +"<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}

	$("#example3").on('click','.btn-editar', function() {
		var id = $(this).parents("tr").find("td:eq(4)").find("input").val();	
		
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerpersona",
			data : JSON.stringify({
				id: id			
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){					
					$("#txtNombre").val(dados[i].nombre+" "+dados[i].apellido); 
					$("#txtId_persona").val(id);
					$("#txtRut").val(dados[i].rut);		

					$("#txtNombre_persona").val(dados[i].nombre); 
					$("#txtApellido").val(dados[i].apellido); 					
					$("#div-trabajador").addClass("d-none");							
				}
			}
		});			
		
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "<?php include_once('../inc/api_cred.php'); echo $apiUrl; ?>/public/obtenerdepartamentoprimarioasignado",
			data : JSON.stringify({
				id_persona: id			
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){		 
					

						$("#txtDescripcion_sucursal").val(dados[i][j].sucursal);	
						$("#txtDescripcion_departamento").val(dados[i][j].departamento);					
					
						$("#txtSucursal").val(dados[i][j].id_sucursal);	
						$("#txtDepartamento_persona").val(dados[i][j].id);					 
						$(".div-sucursal").removeClass("d-none");	
						$(".div-departamento").removeClass("d-none");	
					}					
				}
			}
		});			
	});	

	function convertDateFormat(numeros) {
        return numeros.split('-').reverse().join('-');
    }			
	
});	 	
  
</script>

</body>
</html>
